-- A5M2で実行時に[SQL] - [スラッシュ(/)のみの行でSQLを区切る]に変えてから実行する
CREATE PROCEDURE medaca_common.put_info_log(schema_name VARCHAR(50), procedure_name VARCHAR(100), 
						procedure_args VARCHAR(255), message TEXT)
SQL SECURITY INVOKER
BEGIN
	INSERT INTO
		medaca_common.procedure_log (
			log_datetime,
			log_level,
			schema_name,
			procedure_name,
			procedure_args,
			message,
			error_code,
			error_message
		)
	VALUES (
			NOW(6),
			"INFO",
			schema_name,
			procedure_name,
			procedure_args,
			message,
			NULL,
			NULL
	);	

END
